<!---
$Id: migration000001.cfc 2317 2007-06-02 05:47:55Z barneyb $

Copyright 2007 Barney Boisvert (bboisvert@gmail.com).

Licensed under the Apache License, Version 2.0 (the "License"); you may
not use this file except in compliance with the License. You may obtain
a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
--->
<cfcomponent output="false" extends="sorter.schema_tool.basemigration">
	
	<cffunction name="doMinorVersion" access="public" output="false" returntype="void">
		<cfargument name="minorVersion" type="numeric" required="true" />
		<cfswitch expression="#minorVersion#">
			<cfcase value="1">
				<cfquery datasource="#variables.my.dsn#" name="">
					create table test_table (
						id int,
						name varchar(50)
					)
				</cfquery>
			</cfcase>
			
			<cfcase value="2">
				<cfquery datasource="#variables.my.dsn#" name="">
					alter table test_table
						add unique key (id)
				</cfquery>
			</cfcase>
		</cfswitch>
	</cffunction>
	
<cfoutput></cfoutput>
</cfcomponent>
